GET api/siteapi/site/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
SiteViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| customer_id | globally unique identifier |
Required |
|
| DB_ip | string |
String length: inclusive between 0 and 50 |
|
| DB_name | string |
String length: inclusive between 0 and 80 |
|
| DB_user | string |
String length: inclusive between 0 and 80 |
|
| DB_password | string |
String length: inclusive between 0 and 80 |
|
| ph_max | integer |
None. |
|
| ph_min | integer |
None. |
|
| name | string |
None. |
|
| number | integer |
None. |
|
| wash_temp | integer |
None. |
|
| wash_temp_duration | integer |
None. |
|
| witness_maxwash | integer |
None. |
|
| site_analysis_count | integer |
None. |
|
| active | boolean |
None. |
|
| address | string |
String length: inclusive between 0 and 100 |
|
| city | string |
String length: inclusive between 0 and 100 |
|
| zip_code | string |
String length: inclusive between 0 and 20 |
|
| country | string |
String length: inclusive between 0 and 100 |
|
| selected_sticker_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"id": "f17aefc8-6a03-4c3e-919e-c9cfbcae75dd",
"customer_id": "c47f87ef-1473-4e26-9344-c7d65f3780c9",
"dB_ip": "sample string 3",
"dB_name": "sample string 4",
"dB_user": "sample string 5",
"dB_password": "sample string 6",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 7",
"number": 1,
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"site_analysis_count": 1,
"active": true,
"address": "sample string 8",
"city": "sample string 9",
"zip_code": "sample string 10",
"country": "sample string 11",
"selected_sticker_id": "3bbbde0d-ada2-4f9a-8901-0fb678f57951"
}
application/xml, text/xml
Sample:
<site xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <DB_ip>sample string 3</DB_ip> <DB_name>sample string 4</DB_name> <DB_password>sample string 6</DB_password> <DB_user>sample string 5</DB_user> <active>true</active> <address>sample string 8</address> <city>sample string 9</city> <country>sample string 11</country> <customer_id>c47f87ef-1473-4e26-9344-c7d65f3780c9</customer_id> <id>f17aefc8-6a03-4c3e-919e-c9cfbcae75dd</id> <name>sample string 7</name> <number>1</number> <ph_max>1</ph_max> <ph_min>1</ph_min> <selected_sticker_id>3bbbde0d-ada2-4f9a-8901-0fb678f57951</selected_sticker_id> <site_analysis_count>1</site_analysis_count> <wash_temp>1</wash_temp> <wash_temp_duration>1</wash_temp_duration> <witness_maxwash>1</witness_maxwash> <zip_code>sample string 10</zip_code> </site>